﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CustomComboEditorColumn
{
    public class AttributeModel
    {
        public string Name { get; set; }

        public ObservableCollection<ValueModel> SuggestedValues { get; set; }

        /// <summary>
        /// the value that is set
        /// </summary>
        public ValueModel Value { get; set; }

        public AttributeModel() { }

        public AttributeModel(string name, ObservableCollection<ValueModel> values, ValueModel value)
        {
            Name = name;
            SuggestedValues = values;
            Value = value;
        }
    }
}
